Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class GetSessionAnonymousHandler

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.GetSessionAnonymousHandler

All Implemented Interfaces:
  GetSessionHandler

    public class GetSessionAnonymousHandler

extends Object
implements GetSessionHandler

A `GetSessionAnonymousHandler` class
creates a session for a client and saves it in the local database.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`GetSessionAnonymousHandler(int sessionLifetime)` Creates a sessionHandler which can handle a request for a session without being given any username or password.

Method Summary
`String` | `handleRequest(GetSession request)` Returns a new session ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSessionAnonymousHandler

    public GetSessionAnonymousHandler(int sessionLifetime)

  Creates a sessionHandler which can handle a request for a session without being given any username or password.

  Parameters:
    `sessionLifetime` - the time for a session to be valid

Method Detail

### handleRequest

    public String handleRequest(GetSession request)
                         throws SessionStatusException,
                                GeneralSecurityException

  Description copied from interface: `GetSessionHandler`
  Returns a new session ID.

  Specified by:
    `handleRequest` in interface `GetSessionHandler`
  Parameters:
    `request` - the request on which to base the authentication
  Returns:
    the new session ID or null
  Throws:
    `SessionStatusException`
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org